Skip to main content
GET
GET /api/v1/social/{socialId}/ctaitem
Retrieves call-to-action items configured for a specific Scootaverse session.

Authorizations

X-API-Key
string
header
required

Path Parameters

socialId
string<uuid>
required

Query Parameters

page
integer
default:0

Page number to get, used with pageSize

size
integer
default:20

Number of items to get in one request, used with page

sort
string

Property to sort by. Append ',' and directions 'asc/desc' to change direction

Response

200 - application/json

OK

CTAItemId
integer
type
enum<string>
Available options:
URL,
DOWNLOAD
name
string
text
string
url
string
x
integer
y
integer
imageWidth
integer
imageHeight
integer
buttonColor
string
buttonTextColor
string
buttonSize
enum<string>
Available options:
SMALL,
MEDIUM,
LARGE
buttonVisible
boolean
traversable
boolean
imageURI
string
imageBytes
string<byte>